--- modutils-2.4.25/obj/obj_s390.c	2003-03-28 18:54:20.000000000 -0500
+++ modutils-2.4.25/obj/obj_s390.c	2003-10-26 21:35:40.000000000 -0500
@@ -30,6 +30,10 @@
 #include <obj.h>
 #include <util.h>
 
+/* older glibc versions had a wrong name for R_390_GOTOFF32 */
+#ifndef R_390_GOTOFF32
+#define R_390_GOTOFF32 R_390_GOTOFF
+#endif
 
 /*======================================================================*/
 
@@ -204,7 +208,7 @@
         *(unsigned int *) loc += isym->gotent.offset;
       break;
 
-    case R_390_GOTOFF:
+    case R_390_GOTOFF32:
       assert(got != 0);
       *loc += v - got;
       break;
@@ -264,7 +268,7 @@
             /* The next three don't need got entries but the address
                of the got itself.  */
 	    case R_390_GOTPC:
-	    case R_390_GOTOFF:
+	    case R_390_GOTOFF32:
 	      gotneeded = 1;
               break;
 
--- modutils-2.4.25/obj/obj_s390x.c	2003-03-28 18:54:20.000000000 -0500
+++ modutils-2.4.25/obj/obj_s390x.c	2003-10-26 21:35:40.000000000 -0500
@@ -30,6 +30,10 @@
 #include <obj.h>
 #include <util.h>
 
+/* older glibc versions had a wrong name for R_390_GOTOFF32 */
+#ifndef R_390_GOTOFF32
+#define R_390_GOTOFF32 R_390_GOTOFF
+#endif
 
 /*======================================================================*/
 
@@ -231,7 +235,7 @@
         *(unsigned int *) loc += isym->gotent.offset >> 1;
       break;
 
-    case R_390_GOTOFF:
+    case R_390_GOTOFF32:
       assert(got != 0);
       *loc += v - got;
       break;
@@ -294,7 +298,7 @@
                of the got itself.  */
            case R_390_GOTPC:
             case R_390_GOTPCDBL:
-           case R_390_GOTOFF:
+           case R_390_GOTOFF32:
              gotneeded = 1;
               break;
 
